Package uk.ac.starlink.topcat.plot2

# Class TimeAxisController

java.lang.Object
uk.ac.starlink.topcat.plot2.AxisController<uk.ac.starlink.ttools.plot2.geom.TimeSurfaceFactory.Profile,uk.ac.starlink.ttools.plot2.geom.TimeAspect>
uk.ac.starlink.topcat.plot2.CartesianAxisController<uk.ac.starlink.ttools.plot2.geom.TimeSurfaceFactory.Profile,uk.ac.starlink.ttools.plot2.geom.TimeAspect>
uk.ac.starlink.topcat.plot2.TimeAxisController

All Implemented Interfaces:
  `Configger`

public class TimeAxisController extends CartesianAxisController<uk.ac.starlink.ttools.plot2.geom.TimeSurfaceFactory.Profile,uk.ac.starlink.ttools.plot2.geom.TimeAspect>
Axis control for plot with a horizontal time axis.

Since:
  24 Jul 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`TimeAxisController()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`clearRange(uk.ac.starlink.ttools.plot2.geom.TimeSurfaceFactory.Profile oldProfile, uk.ac.starlink.ttools.plot2.geom.TimeSurfaceFactory.Profile newProfile, uk.ac.starlink.ttools.plot2.PlotLayer[] oldLayers, uk.ac.starlink.ttools.plot2.PlotLayer[] newLayers, boolean lock)`
Indicates whether a new configuration should result in clearing the current ranges and plot aspect.
`protected boolean`
`logChanged(uk.ac.starlink.ttools.plot2.geom.TimeSurfaceFactory.Profile prof1, uk.ac.starlink.ttools.plot2.geom.TimeSurfaceFactory.Profile prof2)`
Indicates whether the scaling has changed to or from logarithmic for any of the cartesian axes between two profiles.

### Methods inherited from class uk.ac.starlink.topcat.plot2.CartesianAxisController

`addLabelsTab, configureForLayers, forceClearRange, getLabelSpecifier`

### Methods inherited from class uk.ac.starlink.topcat.plot2.AxisController

`addActionListener, addAspectConfigTab, addControl, addNavigatorTab, assertHasKeys, clearAspect, getActionForwarder, getAspect, getConfig, getControls, getMainControl, getNavigator, getRanges, getSurfaceFactory, removeActionListener, setAspect, setLatestSurface, setRanges, submitReports, updateState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TimeAxisController

public TimeAxisController()
Constructor.

## Method Details

### logChanged

protected boolean logChanged(uk.ac.starlink.ttools.plot2.geom.TimeSurfaceFactory.Profile prof1, uk.ac.starlink.ttools.plot2.geom.TimeSurfaceFactory.Profile prof2)
Description copied from class: `CartesianAxisController`
Indicates whether the scaling has changed to or from logarithmic for any of the cartesian axes between two profiles. If so, it's going to be necessary to rescale, since attempting a log plot with negative values would fail.

Specified by:
  `logChanged` in class `CartesianAxisController<uk.ac.starlink.ttools.plot2.geom.TimeSurfaceFactory.Profile,uk.ac.starlink.ttools.plot2.geom.TimeAspect>`
Parameters:
  `prof1` - first profile
  `prof2` - second profile
Returns:
  true iff some of the axes are log in prof1 and linear in prof2 or vice versa

### clearRange

protected boolean clearRange(uk.ac.starlink.ttools.plot2.geom.TimeSurfaceFactory.Profile oldProfile, uk.ac.starlink.ttools.plot2.geom.TimeSurfaceFactory.Profile newProfile, uk.ac.starlink.ttools.plot2.PlotLayer[] oldLayers, uk.ac.starlink.ttools.plot2.PlotLayer[] newLayers, boolean lock)
Description copied from class: `AxisController`
Indicates whether a new configuration should result in clearing the current ranges and plot aspect.

Overrides:
  `clearRange` in class `AxisController<uk.ac.starlink.ttools.plot2.geom.TimeSurfaceFactory.Profile,uk.ac.starlink.ttools.plot2.geom.TimeAspect>`
Parameters:
  `oldProfile` - profile for last plot
  `newProfile` - profile for next plot
  `oldLayers` - layer set for last plot
  `newLayers` - layer set for next plot
  `lock` - whether re-ranging is inhibited; normally, if `lock` is true this method should return false, but the implementation can overrule this and return true even when locked if it needs to
Returns:
  true iff the range should be re-established for the next plot